How the error work

Discussion in 'AutoCAD' started by Adesu, Mar 17, 2005.

  1. Adesu

    Adesu Guest

    I've got this script from others forum,created by tjam51,I want to know how
    the error would work,and what input give them in order this script display
    error

    (defun c:h (/ sSet *error*)
    (defun *error* (msg)
    (setvar "cmdecho" 1)
    ) ; end *error*
    (setvar "cmdecho" 0)
    (princ "*** Select objects for Hatch & press [Enter] ")
    (terpri)
    (command "hatch" "" "" "")
    (while (= 1 (getvar "cmdactive"))
    (command pause)
    ) ; end while
    (command "")
    (princ)
    )
     
    Adesu, Mar 17, 2005
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.